2026-06-18 Jan Kotanski <jankotan@gmail.com>
	* aborted plan end reason fixed (#926)
	* tagged as v4.53.0

2026-06-16 Jan Kotanski <jankotan@gmail.com>
	* fix scan plots for redis writer from Udai (#927)
	* tagged as v4.52.1

2026-06-11 Jan Kotanski <jankotan@gmail.com>
	* added new ploting method from Udai (#924)
	* Populate acquisition_chain with scanned motors for Sardana scans from Udai(#919)
	* tagged as v4.52.0

2026-03-15 Jan Kotanski <jankotan@gmail.com>
	* add support for displaying mesh scans (#916)
	* tagged as v4.51.0

2026-03-15 Jan Kotanski <jankotan@gmail.com>
	* add support for vds in limaccdevds (#915)
	* tagged as v4.50.1

2026-03-15 Jan Kotanski <jankotan@gmail.com>
	* add limaccdevds for continue scans and blissdata streaming (#912)
	* tagged as v4.50.0

2026-03-15 Jan Kotanski <jankotan@gmail.com>
	* fix typo in read acquisition_offset for lima stream (#909)
	* tagged as v4.49.1

2026-03-15 Jan Kotanski <jankotan@gmail.com>
	* create limaccdsvds pattern  form saving_directory (#906)
	* read acquisition_offset for lima stream from redis DB (#904)
	* tagged as v4.49.0

2026-03-10 Jan Kotanski <jankotan@gmail.com>
	* add support for limaccdsvds with rediswriter (#900)
	* tagged as v4.48.0

2026-03-10 Jan Kotanski <jankotan@gmail.com>
	* resolve plugin inteference for vds (#897)
	* tagged as v4.47.1

2026-03-09 Jan Kotanski <jankotan@gmail.com>
	* add fieldname to Virtual Field Layout (#894)
	* fix link targets in xml templates (#894)
	* tagged as v4.47.0

2026-03-09 Jan Kotanski <jankotan@gmail.com>
	* add support for limaccdsvds (#891)
	* tagged as v4.46.0

2026-03-05 Jan Kotanski <jankotan@gmail.com>
	* update link path for pointdet (#888)
	* tagged as v4.45.1

2026-03-01 Jan Kotanski <jankotan@gmail.com>
	* add back nexdatas_source to blissdata (#884)
	* tagged as v4.45.0

2026-02-28 Jan Kotanski <jankotan@gmail.com>
	* fix error in nxsfileparser when nexdatas_source is not xml (#882)
	* tagged as v4.44.0

2026-02-25 Jan Kotanski <jankotan@gmail.com>
	* set default attributes via xml (#877)
	* fix get_links for rediswriter (#877)
	* add backward compatibility of signalname er (#879)
	* tagged as v4.43.1

2026-02-12 Jan Kotanski <jankotan@gmail.com>
	* make snapshot and datadesc compatible with ALBA schema(#875)
	* tagged as v4.42.1

2026-02-12 Jan Kotanski <jankotan@gmail.com>
	* add shape to snapshot and datadesc (#872)
	* tagged as v4.42.0

2026-02-10 Jan Kotanski <jankotan@gmail.com>
	* change utf8 to utf-8 in xml (#869)
	* store vector and offset as list in blissdata (#869)
	* tagged as v4.41.0

2026-02-09 Jan Kotanski <jankotan@gmail.com>
	* store attributes with datasources in blissdata snapshot (#866)
	* tagged as v4.40.0

2026-02-03 Jan Kotanski <jankotan@gmail.com>
	* add checks if 'value' exists in h5object for rediswriter (#860)
	* fix RedisGroup names() (#860)
	* tagged as v4.39.1

2026-02-02 Jan Kotanski <jankotan@gmail.com>
	* add rediswriter (#857)
	* tagged as v4.39.0

2026-01-28 Jan Kotanski <jankotan@gmail.com>
	* add attribute name caching (#854)
	* tagged as v4.38.0

2026-01-22 Jan Kotanski <jankotan@gmail.com>
	* ensure filestartnum is int (#850)
	* tagged as v4.37.0

2025-12-11 Jan Kotanski <jankotan@gmail.com>
	* add caching of attribute values for h5redis writer (#848)
	* tagged as v4.36.0

2025-12-11 Jan Kotanski <jankotan@gmail.com>
	* add prodigyremote  component (#845)
	* tagged as v4.35.1

2025-12-08 Jan Kotanski <jankotan@gmail.com>
	* add prodigyremote  component (#842)
	* tagged as v4.35.0

2025-11-27 Jan Kotanski <jankotan@gmail.com>
	* pilcslavevds component (#839)
	* tagged as v4.34.0

2025-11-18 Jan Kotanski <jankotan@gmail.com>
	* add scatter plots to h5rediswriter (#835)
	* tagged as v4.33.0

2025-11-10 Jan Kotanski <jankotan@gmail.com>
	* avoid to recreate redis data store because of memory leak (#832)
	* tagged as v4.32.0

2025-11-07 Jan Kotanski <jankotan@gmail.com>
	* skip stream creation for already existing streams (#828)
	* remove compression_enabled and compression_shuffle (#831)
	* tagged as v4.31.4

2025-11-05 Jan Kotanski <jankotan@gmail.com>
	* change NXsample/sample_identifier to  NXsample/identifier field (#822)
	* tagged as v4.31.3

2025-11-04 Jan Kotanski <jankotan@gmail.com>
	* change sample_identifier to  nexus field (#822)
	* tagged as v4.31.2

2025-11-04 Jan Kotanski <jankotan@gmail.com>
	* fix typo in defaultsampleidentifier component (#822)
	* tagged as v4.31.1

2025-11-04 Jan Kotanski <jankotan@gmail.com>
	* add defaultsampleidentifier component (#822)
	* tagged as v4.31.0

2025-10-29 Jan Kotanski <jankotan@gmail.com>
	* add defaultcollection component (#819)
	* tagged as v4.30.0

2025-10-23 Jan Kotanski <jankotan@gmail.com>
	* add pilcvds component (#809)
	* add support for h5file_detector (#812, #809)
	* tagged as v4.29.0

2025-10-13 Jan Kotanski <jankotan@gmail.com>
	* move virtual map list methods to h5py/h5cpp writers (#806)
	* tagged as v4.28.1

2025-10-13 Jan Kotanski <jankotan@gmail.com>
	* add virtual map list methods to VirtualFieldLayout (#803)
	* tagged as v4.28.0

2025-09-25 Jan Kotanski <jankotan@gmail.com>
	* fix support for mca in blissdata 2 (#799)
	* tagged as v4.27.2

2025-09-24 Jan Kotanski <jankotan@gmail.com>
	* add missing triggered_devices for flint 2.2.1 (#796)
	* tagged as v4.27.1

2025-09-18 Jan Kotanski <jankotan@gmail.com>
	* add support for blissdata 2 and pydantic 2 (#793)
	* tagged as v4.27.0

2025-07-30 Jan Kotanski <jankotan@gmail.com>
	* merge no raw metadata with the same pid (#786)
	* tagged as v4.26.0

2025-07-30 Jan Kotanski <jankotan@gmail.com>
	* replace "/" by "_" in filenames of nxsconfig tool (#783)
	* tagged as v4.25.1

2025-07-29 Jan Kotanski <jankotan@gmail.com>
	* set redis stream types to real datasource type (#779)
	* tagged as v4.25.0

2025-06-20 Jan Kotanski <jankotan@gmail.com>
	* add nexus_path to descdata h5redis records (#777)
	* tagged as v4.24.0

2025-05-16 Jan Kotanski <jankotan@gmail.com>
	* adapt code to numpy 2 (#772)
	* fix timezones for py3.13 and improve tests (#774)
	* add nexus_path to descdata h5redis records (#777)
	* tagged as v4.23.0

2025-04-08 Jan Kotanski <jankotan@gmail.com>
	* fix setting vds layout with key integer for h5pywriter (#767)
	* fix slice2selection with integer key for h5cppwriter (#769)
	* tagged as v4.22.1

2025-03-10 Jan Kotanski <jankotan@gmail.com>
	* make type and probe of default component changeble (#765)
	* tagged as v4.22.0

2025-03-10 Jan Kotanski <jankotan@gmail.com>
	* add minipix component template (#762)
	* add fix for missing source name in nxsfileinfo general (#760)
	* tagged as v4.21.0

2025-02-07 Jan Kotanski <jankotan@gmail.com>
	* add fix for limaccdvds_filestartnum_cb datasource (#754)
	* tagged as v4.20.2

2025-02-07 Jan Kotanski <jankotan@gmail.com>
	* add fix for limaccdvds_postrun datasource (#754)
	* tagged as v4.20.1

2025-02-07 Jan Kotanski <jankotan@gmail.com>
	* add limaccdvds component template (#751)
	* tagged as v4.20.0

2025-02-04 Jan Kotanski <jankotan@gmail.com>
	* add missing acq_expo_time to limaccd template (#745)
	* tagged as v4.19.2

2025-01-30 Jan Kotanski <jankotan@gmail.com>
	* set LastFrame in xspress component template to FINAL (#745)
	* tagged as v4.19.1

2025-01-30 Jan Kotanski <jankotan@gmail.com>
	* add xspress component template (#740)
	* tagged as v4.19.0

2024-12-11 Jan Kotanski <jankotan@gmail.com>
	* reset SciCatMeasurements if not dict (#734)
	* tagged as v4.18.1

2024-11-08 Jan Kotanski <jankotan@gmail.com>
	* fix typo in h5rediswriter (#729)
	* add `session` parameter for h5redis Writer property (#731)
	* tagged as v4.18.0

2024-11-06 Jan Kotanski <jankotan@gmail.com>
	* add support for append end extend actions in copy-map files (#726)
	* add singlelist type in group-map (#726)
	* tagged as v4.17.0

2024-10-22 Jan Kotanski <jankotan@gmail.com>
	* improve datasetName values generation in the ScanNames mode (#723)
	* tagged as v4.16.2

2024-09-27 Jan Kotanski <jankotan@gmail.com>
	* fix for metadata parser of groups without NX_class (#718)
	* fix minimal_value and maximal_value to minimum_value and maximum_value NXlog attributes (#718)
	* tagged as v4.16.1

2024-09-26 Jan Kotanski <jankotan@gmail.com>
	* add enum as a valid secop type(#715)
	* tagged as v4.16.0

2024-09-11 Jan Kotanski <jankotan@gmail.com>
	* add support for link, key and function for secop meaning dictionary (#712)
	* tagged as v4.15.0

2024-08-08 Jan Kotanski <jankotan@gmail.com>
	* add support for secop meaning dictionary (#709)
	* tagged as v4.14.0

2024-08-08 Jan Kotanski <jankotan@gmail.com>
	* fix typo in for device_name in nxsetup (#706)
	* tagged as v4.13.1

2024-07-19 Jan Kotanski <jankotan@gmail.com>
	* improve findAttribute by adding moduleAttributeMap (#696)
	* add ScanNamesNoMetadata and ScanNamesNoGrouping variables (#702)
	* tagged as v4.13.0

2024-07-15 Jan Kotanski <jankotan@gmail.com>
	* create output dir is does not exists (#696)
	* fix ScanFileinScanNameDir name to ScanNames (#694)
	* fix support for ScanNames=False (#695)
	* tagged as v4.12.0

2024-07-11 Jan Kotanski <jankotan@gmail.com>
	* add --online-xml-file option for nxscreate stdcomp (#687)
	* add support for ScanFileinScanNameDir mode for detector template (#689)
	* fix for eigerdectris VDS (#691)
	* tagged as v4.11.0

2024-07-10 Jan Kotanski <jankotan@gmail.com>
	* add support ScanFileInScanNameDir env variable
	* tagged as v4.10.0

2024-07-10 Jan Kotanski <jankotan@gmail.com>
	* improve support for eiger RoiMode attribute
	* tagged as v4.9.1

2024-07-09 Jan Kotanski <jankotan@gmail.com>
	* add support for eiger RoiMode attribute
	* tagged as v4.9.0

2024-07-07 Jan Kotanski <jankotan@gmail.com>
	* hide STEP datasources in  eiger templates (#673)
	* hide STEP datasources in  lambdavds templates (#675)
	* tagged as v4.8.0

2024-07-03 Jan Kotanski <jankotan@gmail.com>
	* add --id-format to nxsfileinfo metadata (#669)
	* tagged as v4.7.0

2024-07-03 Jan Kotanski <jankotan@gmail.com>
	* fix wrong parsing of summer time  (#666)
	* tagged as v4.6.2

2024-07-02 Jan Kotanski <jankotan@gmail.com>
	* fix pilc file name (#663)
	* tagged as v4.6.1

2024-07-02 Jan Kotanski <jankotan@gmail.com>
	* add pilc component template (#661)
	* tagged as v4.6.0

2024-06-27 Jan Kotanski <jankotan@gmail.com>
	* improve fix for enlarge waiting time for the server in nxsetup (#659)
	* tagged as v4.5.1

2024-06-27 Jan Kotanski <jankotan@gmail.com>
	* enlarge waiting time for the server in nxsetup (#657)
	* tagged as v4.5.0

2024-06-11 Jan Kotanski <jankotan@gmail.com>
	* add eiger9m16vds template (#654)
	* add eiger4m16vds template (#654)
	* add eiger1m16vds template (#654)
	* add eiger4m32vds template (#654)
	* add eiger1m32vds template (#654)
	* tagged as v4.4.0

2024-06-10 Jan Kotanski <jankotan@gmail.com>
	* add eigerdectrismesh template (#649)
	* add eiger9m32vds template (#652)
	* fix typos in stepindex datasources
	* tagged as v4.3.0

2024-06-05 Jan Kotanski <jankotan@gmail.com>
	* reingest scan metadata if it is repeated with the same ScanID (#647)
	* tagged as v4.2.1

2024-06-03 Jan Kotanski <jankotan@gmail.com>
	* adapt append_scicat_dataset to _%05d and _{ScanID:05d} formatting (#643)
	* tagged as v4.2.0

2024-05-23 Jan Kotanski <jankotan@gmail.com>
	* replace deprecated tz.localize() with datetime.replace() (#640)
	* tagged as v4.1.1

2024-05-22 Jan Kotanski <jankotan@gmail.com>
	* adapt the entry name in the appendentry mode to NXS_FileRecorder v3.21.0 (#637)
	* tagged as v4.1.0

2024-05-15 Jan Kotanski <jankotan@gmail.com>
	* reduce number of plots in h5redis writer (#635)
	* tagged as v4.0.2

2024-05-12 Jan Kotanski <jankotan@gmail.com>
	* add finish for h5redis writer
	* tagged as v4.0.1

024-05-10 Jan Kotanski <jankotan@gmail.com>
	* add support for h5redis writer
	* drop support for python2
	* tagged as v4.0.0

2024-03-27 Jan Kotanski <jankotan@gmail.com>
	* add nxsetup wait subcommand (#624)
	* add --timeout -no-wait for  nonxsetup subcommands (#624)
	* extend nxsetup set to create a general device (#624)
	* tagged as v3.67.0

2024-03-22 Jan Kotanski <jankotan@gmail.com>
	* add --confiserver option to nxsetup set
	* tagged as v3.66.0

2024-03-14 Jan Kotanski <jankotan@gmail.com>
	* increase waiting time for restarting servers (#618)
	* tagged as v3.65.1

2024-02-22 Jan Kotanski <jankotan@gmail.com>
	* spilt NXsample to sample and sample_environment like for SECoP components (#615)
	* remove --strict and  --node-in-instrument (#615)
	* add --sample-environment (#615)
	* tagged as v3.65.0

2024-02-19 Jan Kotanski <jankotan@gmail.com>
	* store importance as a measurement attribute (#608)
	* add dynamic secop helper links (#610)
	* add sample nxdata from secop (#612)
	* tagged as v3.64.0

2024-02-09 Jan Kotanski <jankotan@gmail.com>
	* add techniques only with the pid (#605)
	* tagged as v3.63.1

2024-02-08 Jan Kotanski <jankotan@gmail.com>
	* add first, last, firstlast, endpoints type in group-map (#602)
	* tagged as v3.63.0

2024-01-24 Jan Kotanski <jankotan@gmail.com>
	* change --node-in-sample to  NOT --node-in-instrument (#599)
	* tagged as v3.62.0

2024-01-19 Jan Kotanski <jankotan@gmail.com>
	* convert nan and inf to null in (group)metadata (#594)
	* tagged as v3.61.1

2024-01-15 Jan Kotanski <jankotan@gmail.com>
	* fix  secop rotation_z coordiantes to [0,1,0] (#585)
	* add NXsensor description to secop components (#587)
	* add min and max type in group-map (#589)
	* tagged as v3.61.0

2024-01-12 Jan Kotanski <jankotan@gmail.com>
	* fix condition for uniquelist type in group-map (#582)
	* tagged as v3.60.1

024-01-11 Jan Kotanski <jankotan@gmail.com>
	* add uniquelist type in group-map (#574)
	* tagged as v3.60.0

2024-01-11 Jan Kotanski <jankotan@gmail.com>
	* add list, dict, range, minax target types in group-map (#574)
	* tagged as v3.59.0

2024-01-09 Jan Kotanski <jankotan@gmail.com>
	* move NXevironment to NXinstument of secop components (#569)
	* add list target type in group-map for string (#571)
	* tagged as v3.58.0

2024-01-05 Jan Kotanski <jankotan@gmail.com>
	* set datasetName in groupmetadata if not set
	* tagged as v3.57.4

2024-01-04 Jan Kotanski <jankotan@gmail.com>
	* fix maxonedsize help
	* tagged as v3.57.3

2024-01-04 Jan Kotanski <jankotan@gmail.com>
	* calculate min and max if maxonedsize exceeded (#562)
	* tagged as v3.57.2

2024-01-02 Jan Kotanski <jankotan@gmail.com>
	* add a a fix for reingest parameter in append_scicat_dataset (#559)
	* tagged as v3.57.1

2024-01-02 Jan Kotanski <jankotan@gmail.com>
	* add a reingest parameter in append_scicat_dataset (#557)
	* tagged as v3.57.0

2023-12-19 Jan Kotanski <jankotan@gmail.com>
	* fix convention for entry names in multi-scan NeXus files (#552)
	* add --skip-group-datablock option (#554)
	* tagged as v3.56.0

2023-12-15 Jan Kotanski <jankotan@gmail.com>
	* add support for fetching metadata from multi-scan Nexus files (#542)
	* add --nexus-path option to nxsfileinfo attachment (#544)
	* skip scan if it is grouped twice  (#547)
	* add support for SciCatAutoGrouping (#548)
	* tagged as v3.55.0

2023-12-13 Jan Kotanski <jankotan@gmail.com>
	* add support for unit and other attributes in FIOFileParser (#536)
	* add support for grouping subdirectories (#538)
	* tagged as v3.54.0

2023-11-28 Jan Kotanski <jankotan@gmail.com>
	* add --copy-map-error to nxsfileinfo metadata (#534)
	* add --group-map-error to nxsfileinfo metadata (#534)
	* tagged as v3.53.0

2023-11-23 Jan Kotanski <jankotan@gmail.com>
	* add --keywords to nxsfileinfo metadata (#529)
	* add --raw to nxsfileinfo groupmetadata (#529)
	* append_scicat_record helper comman to scdataset.py (#529)
	* fix typos in nxsfileinfo groupmetadata (#529)
	* merge lists in groupmetadata (#530)
	* tagged as v3.52.0

2023-11-21 Jan Kotanski <jankotan@gmail.com>
	* add nxsfileinfo groupmetadata subcommand (#526)
	* fix applying copymap (#526)
	* tagged as v3.51.0

2023-11-09 Jan Kotanski <jankotan@gmail.com>
	* update tests by changing tango.Device_4Impl to tango.LatestDeviceImpl (#524)
	* tagged as v3.50.2

2023-10-25 Jan Kotanski <jankotan@gmail.com>
	* fix order of secop meaning by highest importance (#519)
	* tagged as v3.50.1

2023-10-09 Jan Kotanski <jankotan@gmail.com>
	* add support for data filter list (#516)
	* tagged as v3.50.0

2023-09-08 Jan Kotanski <jankotan@gmail.com>
	* cure endTime and creationTime in nxsfileinfo metadata (#511)
	* fix nxsfileinfo attachment from fio with empty parameters (#513)
	* tagged as v3.49.0

2023-08-28 Jan Kotanski <jankotan@gmail.com>
	* update nxsfileinfo metadata and attachament for new nestjs scicat backend (#506, #508)
	* tagged as v3.48.0

2023-07-05 Jan Kotanski <jankotan@gmail.com>
	* fix names in defaultsignal and defaultaxes (#503)
	* add defaultattrs to axesnames (#503)
	* tagged as v3.47.2

2023-06-30 Jan Kotanski <jankotan@gmail.com>
	* remove printouts from add-recorder-path (#500)
	* tagged as v3.47.1

2023-06-05 Jan Kotanski <jankotan@gmail.com>
	* add --depends for nxscreate comp (#495)
	* tagged as v3.47.0

2023-04-05 Jan Kotanski <jankotan@gmail.com>
	* add maxonedsize option to nxsfileinfo metadata (#487, #489)
	* tagged as v3.46.0

2023-03-27 Jan Kotanski <jankotan@gmail.com>
	* set the SciCat PI as the DESY beamtime applicant (#484)
	* tagged as v3.45.1

2023-03-27 Jan Kotanski <jankotan@gmail.com>
	* add optional btmdmap values (#481)
	* tagged as v3.45.0

2023-03-14 Jan Kotanski <jankotan@gmail.com>
	* get the default secop component name from equipment_id  (#478)
	* rearrange name, short_name, description and type of node values (#478)
	* tagged as v3.44.0

2023-03-13 Jan Kotanski <jankotan@gmail.com>
	* create physical secop environment links only with the related sensor (#475)
	* add --strict option to nxscreate secopcp (#475)
	* add --transformation-attributes options to nxscreate secopcp (#473)
	* add --environments  --links and  --first options to nxscreate secopcp (#472)
	* split a scan command text in the dataset attachment if it is too long (#471)
	* tagged as v3.43.0

2023-02-27 Jan Kotanski <jankotan@gmail.com>
	* move left, right, top, bottom of NXslit to the NXtransformations (#469)
	* tagged as v3.42.3

2023-02-27 Jan Kotanski <jankotan@gmail.com>
	* change fio date to iso format (#466)
	* tagged as v3.42.2

2023-02-24 Jan Kotanski <jankotan@gmail.com>
	* fix setting a frame number of attachment images (#463)
	* tagged as v3.42.1

2023-02-22 Jan Kotanski <jankotan@gmail.com>
	* add scan_command to the title in nxsfileinfo attribute (#457), (#458)
	* fix setting the creationTime from endTime (#460)
	* tagged as v3.42.0

2023-02-16 Jan Kotanski <jankotan@gmail.com>
	* set the signal from the FIO signalcounter parameter in nxsfileinfo attachment (#447)
	* fix setting the creationTime in FIO nxsfileinfo attachment (#447)
	* set the signal from the SignalCounter sardana variable in nxsfileinfo attachment (#449)
	* set the axes from the sardana scancommand first parameter in nxsfileinfo attachment (#449)
	* add --scan-command-axes to nxsfileinfo attachment (#451)
	* tagged as v3.41.0

2023-02-07 Jan Kotanski <jankotan@gmail.com>
	* take next axis if the first does not exist in nxsfileinfo attribute (#443)
	* tagged as v3.40.4

2023-02-06 Jan Kotanski <jankotan@gmail.com>
	* change --overwrite to --override in nxsfileinfo attachment (#440)
	* tagged as v3.40.3

2023-02-06 Jan Kotanski <jankotan@gmail.com>
	* do not create json for attachments without thumbnail (#437)
	* use first existing axis (#437)
	* tagged as v3.40.2

2023-01-31 Jan Kotanski <jankotan@gmail.com>
	* fix nxsfileinfo attachment help (#432)
	* tagged as v3.40.1

2023-01-31 Jan Kotanski <jankotan@gmail.com>
	* add nxsfileinfo sample and instrument metadata creators (#425)
	* add nxsfileinfo attachment metadata creators (#427)
	* tagged as v3.40.0

2023-01-12 Jan Kotanski <jankotan@gmail.com>
	* add sampledescription and sampledescriptiontext components (#421)
	* set metadata sampleId  --sample-id and --sample-id-from-name parameters (#421)
	* set metadata instrumentId with --instrument-id parameter (#422)
	* tagged as v3.39.0

2022-12-12 Jan Kotanski <jankotan@gmail.com>
	* add append_scicat_dataset function to pyeval.scdataset.py (#419)
	* add ndf to nexus file extension lists (#417)
	* fixes for missing fileformat (#417)
	* tagged as v3.38.0

2022-12-09 Jan Kotanski <jankotan@gmail.com>
	* fix for older versions of nxsdatawriter when fileformat is not defined
	* tagged as v3.37.1

2022-12-09 Jan Kotanski <jankotan@gmail.com>
	* support comments to copy map text list files (#409)
	* skip wrong copy map lines with circular dependence (#409)
	* add support for fio files in nxsfileinfo metadata
	* tagged as v3.37.0

2022-12-07 Jan Kotanski <jankotan@gmail.com>
	* add support for copy list in --copy-map* parameters (#406)
	* tagged as v3.36.0

2022-12-06 Jan Kotanski <jankotan@gmail.com>
	* add --copy-map-file and --copy-map parameters (#401)
	* add --copy-map-field  parameters (#403)
	* add parametercopymap component template (#403)
	* tagged as v3.35.0

2022-11-24 Jan Kotanski <jankotan@gmail.com>
	* fix for depends_on field in beamstop template (#396)
	* store NXclass attribute with NXentry only for --raw-metadata (#398)
	* tagged as v3.34.0

2022-11-23 Jan Kotanski <jankotan@gmail.com>
	* check if emptyunits variable exists (#393)
	* tagged as v3.33.1

2022-11-15 Jan Kotanski <jankotan@gmail.com>
	* provide --add-empty-units for nxsfileinfo metadata (#390)
	* tagged as v3.33.0

2022-11-03 Jan Kotanski <jankotan@gmail.com>
	* improve PYEVAL ds.results = ... to one line for the PYEVAL info (#384)
	* tagged as v3.32.2

2022-11-02 Jan Kotanski <jankotan@gmail.com>
	* add missing  cobold.py file (#383)
	* tagged as v3.32.1

2022-11-02 Jan Kotanski <jankotan@gmail.com>
	* add coboldhisto template components (#381)
	* tagged as v3.32.0

2022-10-26 Jan Kotanski <jankotan@gmail.com>
	* rearrange PYEVAL ds.results = ... to one line for the PYEVAL info (#375)
	* add cobold template components
	* tagged as v3.31.0

2022-10-21 Jan Kotanski <jankotan@gmail.com>
	* add dataaxessignal component template (#368)
	* add datasource PYEVAL record description  (#372)
	* add nexus_step_datasources and nexus_init_datasources attributes to default instrument  (#366)
	* fix for changing attribute shape (#368)
	* fix info for all datasources (#370)
	* tagged as v3.30.0

2022-10-20 Jan Kotanski <jankotan@gmail.com>
	* expose ScanCommand in scientific metadata (#359)
	* add tango datasource template of PYEVAL type (#361)
	* add nexus_components, measurement_group, measurement_group_channels attributes to default instrument  (#363)
	* tagged as v3.29.0

2022-10-12 Jan Kotanski <jankotan@gmail.com>
	* update ownerGroup and accessGroups (#352)
	* update sources for dataset metadata values (#354)
	* tagged as v3.28.1

2022-09-13 Jan Kotanski <jankotan@gmail.com>
	* add chmod options to nxsfileinfo
	* tagged as v3.28.0

2022-08-24 Jan Kotanski <jankotan@gmail.com>
	* add 1d metadata to nxsfileinfo
	* tagged as v3.27.0

2022-08-22 Jan Kotanski <jankotan@gmail.com>
	* fix detector paths in nxsfileinfo origdatablock by relative scanpath
	* tagged as v3.26.1

2022-08-22 Jan Kotanski <jankotan@gmail.com>
	* accept more than one path in nxsfileinfo origdatablock
	* tagged as v3.26.0

2022-08-15 Jan Kotanski <jankotan@gmail.com>
	* add haspp022chms host (#336)
	* tagged as v3.25.1

2022-08-15 Jan Kotanski <jankotan@gmail.com>
	* add description and descriptiontext components (#332)
	* add PaNET ontology techniques in nxsfileinfo metadata (#330)
	* fix compatibility issues with nxsdatawriter (#330)
	* tagged as v3.25.0

2022-08-11 Jan Kotanski <jankotan@gmail.com>
	* add support for techniques (#326)
	* change nexus units to scicat unit (#324)
	* tagged as v3.24.0

2022-07-14 Jan Kotanski <jankotan@gmail.com>
	* rebuild package with /usr/bin/env
	* change repository name from tools to nxstools
	* tagged as v3.23.1

2022-07-14 Jan Kotanski <jankotan@gmail.com>
	* add support for ownerGroup and accessGroups in nxsfileinfo metadata/origdatablocks
	* change default posfix-group from Parameters to ""
	* add -r relative path to  nxsfileinfo metadata/origdatablocks
	* change rename -r to -m options
	* tagged as v3.23.0

2022-07-05 Jan Kotanski <jankotan@gmail.com>
	* add proposal as proposal option for nxsfileinfo metadata
	* apply fixes proposed by Markus Z.
	* tagged as v3.22.0

2022-06-29 Jan Kotanski <jankotan@gmail.com>
	* improve writing the measurement field by nxscreate secopcp
	* add relative timestamp to the secop component
	* tagged as v3.21.0

2022-06-21 Jan Kotanski <jankotan@gmail.com>
	* change haspp021ch1a tango host
	* tagged as v3.20.1

2022-06-21 Jan Kotanski <jankotan@gmail.com>
	* fix secopcp status implementation
	* create secop components from a json configuration file
	* tagged as v3.20.0

2022-06-20 Jan Kotanski <jankotan@gmail.com>
	* add nxscreate secop subcommand
	* remove default mysql localhost
	* add ubuntu 22.04 tests
	* tagged as v3.19.0

2022-04-06 Jan Kotanski <jankotan@gmail.com>
	* add nxsfileinfo metadata sub-command without nexus file to create metadata template
	* tagged as v3.18.0

2022-04-06 Jan Kotanski <jankotan@gmail.com>
	* change default by replacing --pid-with-filename by --pid-without-filename
	* add nxsfileinfo origdatablock sub-command
	* tagged as v3.17.0

2022-03-16 Jan Kotanski <jankotan@gmail.com>
	* add np.bool_ to json numpyEncoder
	* tagged as v3.16.2

2022-03-15 Jan Kotanski <jankotan@gmail.com>
	* fix nxsfileinfo metadata for datasource without name
	* fix typos in nxsfileinfo metadata
	* tagged as v3.16.1

2022-03-15 Jan Kotanski <jankotan@gmail.com>
	* add --entry-names  option for nxsfileinfo
	* change -e to -t option for nxsfileinfo
	* tagged as v3.16.0

2022-03-09 Jan Kotanski <jankotan@gmail.com>
	* set endTime, description, startTime from nexus file
	* add --pid-with-uuid option for nxsfileinfo
	* add --pid-with-filename option for nxsfileinfo
	* add --beamtimeid option for nxsfileinfo
	* add Metadata.metadata()
	* tagged as v3.15.0

2022-03-01 Jan Kotanski <jankotan@gmail.com>
	* fix auto complition for options of nxsfileinfo metadata
	* tagged as v3.14.1

2022-02-28 Jan Kotanski <jankotan@gmail.com>
	* add --beamtime-meta option for nxsfileinfo metadata
	* add --scientific-meta option for nxsfileinfo metadata
	* add --pid option for nxsfileinfo metadata
	* add --output option for nxsfileinfo metadata
	* replace --scientific by reverse of --raw-metadata for nxsfileinfo metadata
	* tagged as v3.14.0

2022-02-25 Jan Kotanski <jankotan@gmail.com>
	* fix nxsfileinfo metadata crash with h5py
	* tagged as v3.13.1

2022-02-25 Jan Kotanski <jankotan@gmail.com>
	* print all attributes by nxsfileinfo metadata as default
	* add --hidden-attributes option for nxsfileinfo metadata
	* fixes for nxsfileinfo metadata subcommand
	* tagged as v3.13.0

2022-02-16 Jan Kotanski <jankotan@gmail.com>
	* add nxsfileinfo metadata subcommand
	* tagged as v3.12.0

2021-12-20 Jan Kotanski <jankotan@gmail.com>
	* remove delay time from lambda template components
	* tagged as v3.11.0

2021-09-21 Jan Kotanski <jankotan@gmail.com>
	* fix for nxscreate compare when sardana name defined
	* tagged as v3.10.2

2021-07-29 Jan Kotanski <jankotan@gmail.com>
	* read timezone from tzlocal if pytz fails
	* tagged as v3.10.1

2021-06-29 Jan Kotanski <jankotan@gmail.com>
	* add lambda2mvds component template
	* add dalsavds component template
	* fix for datasignal pyeval when no fields in NXdata
	* fix H5CppVirtualFieldLayout calls when filename is in unicode
	* tagged as v3.10.0

2021-05-28 Jan Kotanski <jankotan@gmail.com>
	* add common.blockitem_add, common.blockitem_addint, common.blockitem_rm to pyeval
	* add cleaning in lambdavds description
	* add move lambda datasources to pyeval
	* add move pilatus datasources to pyeval
	* add move pco datasources to pyeval
	* add move pe datasources to pyeval
	* add move limaccd datasources to pyeval
	* add move mythen datasources to pyeval
	* add move marccd datasources to pyeval
	* add move dalsa datasources to pyeval
	* add move tangovimba datasources to pyeval
	* add move eigerdectris datasources to pyeval
	* tagged as v3.9.0

2021-05-21 Jan Kotanski <jankotan@gmail.com>
	* set default attributes of NXroot and NXdata in the datasignal component
	* fix missing quotas in lambdavds_triggermode
	* tagged as v3.8.0

2021-05-17 Jan Kotanski <jankotan@gmail.com>
	* change default beamtime-metadata postfixes of beamtimeid datasource
	* move beamtimeid implementation to pyeval
	* move absorber implementation to pyeval
	* move qbpm implementation to pyeval
	* move mssar nad msnsar implementation to pyeval
	* move dcm implementation to pyeval
	* move signalname implementation to pyeval
	* tagged as v3.7.0

2021-05-04 Jan Kotanski <jankotan@gmail.com>
	* add fix a bug for nxsconfig describe all datasources
	* add fix a bug for nxsconfig describe and full_nexus_path
	* tagged as v3.6.1

2021-05-03 Jan Kotanski <jankotan@gmail.com>
	* add selection of column headers in nxsconfig describe
	* fix nxsparser when no link target defined
	* add doc column in nxsconfig describe
	* add doc full_nexus_path column in nxsconfig describe
	* add columns with usr defined attributes in nxsconfig describe
	* add import --external xmls in nxsconfig upload
	* add --filters option for nxsconfig describe
	* tagged as v3.6.0

2021-04-28 Jan Kotanski <jankotan@gmail.com>
	* add detector livedata component template
	* tagged as v3.5.0

2021-04-22 Jan Kotanski <jankotan@gmail.com>
	* fix file number in the dalsa component link
	* tagged as v3.4.1

2021-04-19 Jan Kotanski <jankotan@gmail.com>
	* add --type option to nxscreate onlinecp
	* add --device --port --host options to nxscreate onlinecp
	* add lambdavds component
	* tagged as v3.4.0

2021-04-16 Jan Kotanski <jankotan@gmail.com>
	* add checks for duplicated sardana names
	* add dalsa template component
	* fix instrument group names of nexus paths to external links
	* add missing --dtype to 'nxscollect vds' examples
	* tagged as v3.3.0

2021-04-07 Jan Kotanski <jankotan@gmail.com>
	* add support got h5py >= 3.0.0
	* add nxscollect vds command line tool
	* tagged as v3.2.0

2021-02-25 Jan Kotanski <jankotan@gmail.com>
	* avoid caching tango.Except and tango.DevError
	* add waitforproc parameter for waitServer[Not]Running()
	* tagged as v3.1.1

2021-02-22 Jan Kotanski <jankotan@gmail.com>
	* HDF5_version changed to HDF5_Version
	* NeXus_version removed
	* qbpm template used with NXmonitor group
	* adds VDS implementation in h5 filewriters
	* call open() with with
	* tagged as v3.1.0

2021-02-12 Jan Kotanski <jankotan@gmail.com>
	* h5pywriter.shape returns () for SCALAR attributes
	* tagged as v3.0.1

2021-02-12 Jan Kotanski <jankotan@gmail.com>
	* store strings as SCALAR by default
	* remove support for pni
	* h5*writer.shape returns () for SCALAR fields
	* tagged as v3.0.0

2021-02-03 Jan Kotanski <jankotan@gmail.com>
	* impove tangovimba component
	* change '_' to '-' in command-line options settings
	* tagged as v2.74.0

2021-01-28 Jan Kotanski <jankotan@gmail.com>
	* add support for VDS
	* add fix slide2selection
	* tagged as v2.73.0

2021-01-20 Jan Kotanski <jankotan@gmail.com>
	* add nxscollect link sub-command
	* add support for appending any data with nxscollect
	* add h5cppwriter.load_file()
	* add h5pywriter.load_file()
	* add fileywriter.default_field()
	* tagged as v2.72.0

2020-11-10 Jan Kotanski <jankotan@gmail.com>
	* fix double start/stop server in nxsetup
	* tagged as v2.71.2

2020-04-30 Jan Kotanski <jankotan@gmail.com>
	* add order to output of nxsconfig info -r
	* skip attributes for nxsconfig geometry
	* remove -d from nxsconfig geometry
	* tagged as v2.71.1

2020-04-22 Jan Kotanski <jankotan@gmail.com>
	* remove -nonewlines from nxsconfig info|geometry|describe
	* improve output of nxsconfig info -r
	* tagged as v2.71.0

2020-04-16 Jan Kotanski <jankotan@gmail.com>
	* add tests nxsconfig servers
	* tagged as v2.70.3

2020-04-07 Jan Kotanski <jankotan@gmail.com>
	* impove catching execptions for py3
	* tagged as v2.70.2

2020-03-07 Jan Kotanski <jankotan@gmail.com>
	* add comments for help examples of nxscreate sub-command
	* tagged as v2.70.1

2020-03-03 Jan Kotanski <jankotan@gmail.com>
	* add -m option to nxsconfig upload
	* tagged as v2.70.0

2020-02-07 Jan Kotanski <jankotan@gmail.com>
	* add fieldname for other template components
	* tagged as v2.69.4

2020-02-06 Jan Kotanski <jankotan@gmail.com>
	* fix for msnsar template component
	* tagged as v2.69.3

2019-10-17 Jan Kotanski <jankotan@gmail.com>
	* add collect4 collect5 collect6
	* tagged as v2.69.2

2019-10-17 Jan Kotanski <jankotan@gmail.com>
	* add fieldname parameters for beamstop and pinhole
	* tagged as v2.69.1

2019-10-15 Jan Kotanski <jankotan@gmail.com>
	* add support for MacroServer environment datasources
	* tagged as v2.69.0

2019-10-10 Jan Kotanski <jankotan@gmail.com>
	* add support for pip
	* switch to setuptools
	* tagged as v2.68.1

2019-09-24 Jan Kotanski <jankotan@gmail.com>
	* add nxsconfig upload command for loading elements from files
	* add nxsconfig show -o command option saving elements to files
	* tagged as v2.68.0

2019-09-24 Jan Kotanski <jankotan@gmail.com>
	* improve support for a no-tango mode
	* tagged as v2.67.1

2019-09-05 Jan Kotanski <jankotan@gmail.com>
	* add external filters
	* add list delete info show commands for profile
	* tagged as v2.67.0

2019-08-22 Jan Kotanski <jankotan@gmail.com>
	* fix for getting datasources in nxsparser
	* tagged as v2.66.3

2019-08-21 Jan Kotanski <jankotan@gmail.com>
	* add haso107tk
	* fix nxscreate comp -h output
	* tagged as v2.66.2

2019-08-15 Jan Kotanski <jankotan@gmail.com>
	* fixes for nxsparser
	* tagged as v2.66.1

2019-07-19 Jan Kotanski <jankotan@gmail.com>
	* change minidom to etree
	* adopt tests to NXSConfigServer with etree
	* tagged as v2.66.0

2019-07-03 Jan Kotanski <jankotan@gmail.com>
	* fix for setting sardananame in onlinecp tool
	* tagged as v2.65.2

2019-06-28 Jan Kotanski <jankotan@gmail.com>
	* add hostnames to nxsetup
	* tagged as v2.65.1

2019-04-11 Jan Kotanski <jankotan@gmail.com>
	* add mxparams to pilatus component
	* tagged as v2.65.0

2019-04-08 Jan Kotanski <jankotan@gmail.com>
	* add open_link method to writers
	* tagged as v2.64.0

2019-03-27 Jan Kotanski <jankotan@gmail.com>
	* fix for starting servers
	* tagged as v2.63.4

2019-03-20 Jan Kotanski <jankotan@gmail.com>
	* improve overwrite attributes with h5cpp
	* tagged as v2.63.3

2019-03-19 Jan Kotanski <jankotan@gmail.com>
	* impove searching for servers
	* fix showing attributes by nxsconfig info
	* skip DS if device do not exists in onlineds
	* tagged as v2.63.2

2019-03-18 Jan Kotanski <jankotan@gmail.com>
	* fix support for swmr parameter for h5cpp
	* tagged as v2.63.1

2019-03-15 Jan Kotanski <jankotan@gmail.com>
	* add waitServerRunning and waitServerNotRunning method  to nxsetup
	* improve search for Starter server
	* tagged as v2.63.0

2019-02-22 Jan Kotanski <jankotan@gmail.com>
	* fix missing parameter support in nxscreate stdcomp
	* add nxsfileinfo test
	* set close degree STRONG as default
	* tagged as v2.62.1

2019-02-19 Jan Kotanski <jankotan@gmail.com>
	* make nxscreate works without NXsConfigServer (if possible)
	* fix for nxscreate -o file
	* improve finding tango host from DB
	* tagged as v2.62.0

2019-01-15 Jan Kotanski <jankotan@gmail.com>
	* add flush for stderr stream
	* tagged as v2.61.5

2018-11-30 Jan Kotanski <jankotan@gmail.com>
	* make output of nxsfileinfo and nxsconfig info/geometry RST compatible
	* tagged as v2.61.4

2018-11-29 Jan Kotanski <jankotan@gmail.com>
	* fixes for collecting raw/h5 images
	* tagged as v2.61.3

2018-11-27 Jan Kotanski <jankotan@gmail.com>
	* fix eiger template
	* tagged as v2.61.2

2018-10-18 Jan Kotanski <jankotan@gmail.com>
	* fix for h5cpp with nxscollect
	* tagged as v2.61.1

2018-10-18 Jan Kotanski <jankotan@gmail.com>
	* split the package
	* tagged as v2.61.0

2018-10-17 Jan Kotanski <jankotan@gmail.com>
	* fix for h5cpp with nxscollect
	* tagged as v2.60.1

2018-10-17 Jan Kotanski <jankotan@gmail.com>
	* add support python3
	* tagged as v2.60.0

2018-10-09 Jan Kotanski <jankotan@gmail.com>
	* adopt is_bool for pninexus 1.2.10
	* fixes for SWMR with h5cpp
	* tagged as v2.59.2

2018-09-24 Jan Kotanski <jankotan@gmail.com>
	* change vfc_factor from FINAL to INIT
	* tagged as v2.59.1

2018-09-24 Jan Kotanski <jankotan@gmail.com>
	* add vfcfactor and keithley_gain in maiaflux
	* tagged as v2.59.0

2018-09-04 Jan Kotanski <jankotan@gmail.com>
	* improve beamtimeid template for (h5cpp writer)
	* tagged as v2.58.3

2018-05-18 Jan Kotanski <jankotan@gmail.com>
	* fix h5pywriter
	* tagged as v2.58.2

2018-04-19 Jan Kotanski <jankotan@gmail.com>
	* fix nxsconfig geometry paths
	* tagged as v2.58.1

2018-04-19 Jan Kotanski <jankotan@gmail.com>
	* shows attribute datasources  in nxsconfig info/geometry
	* tagged as v2.58.0

2018-04-11 Jan Kotanski <jankotan@gmail.com>
	* add datasignal
	* run nxsfileinfo in readonly mode
	* tagged as v2.57.0

2018-04-05 Jan Kotanski <jankotan@gmail.com>
	* add links to orc and irc in mcaxia
	* tagged as v2.56.0

2018-03-15 Jan Kotanski <jankotan@gmail.com>
	* add support for sources with tango://
	* add reopen() to filewrite objects
	* tagged as v2.55.0

2018-02-13 Jan Kotanski <jankotan@gmail.com>
	* add scan_id into the default component
	* tagged as v2.54.0

2017-11-20 Jan Kotanski <jankotan@gmail.com>
	* add --can-fail to nxscreate comp
	* tagged as v2.53.0

2017-09-26 Jan Kotanski <jankotan@gmail.com>
	* make lambda links optional
	* add nxsconfig delete tests
	* tagged as v2.52.0

2017-09-19 Jan Kotanski <jankotan@gmail.com>
	* remove wrong nxsconfig show options: -m -p
	* update error handling
	* add nxsconfig list|show|get tests
	* tagged as v2.51.0

2017-09-08 Jan Kotanski <jankotan@gmail.com>
	* fix for tangovimba link
	* tagged as v2.50.1

2017-09-08 Jan Kotanski <jankotan@gmail.com>
	* add tangovimba template component
	* tagged as v2.50.0

2017-09-06 Jan Kotanski <jankotan@gmail.com>
	* fix printouts
	* tagged as v2.49.2

2017-09-06 Jan Kotanski <jankotan@gmail.com>
	* update printouts
	* tagged as v2.49.1

2017-09-05 Jan Kotanski <jankotan@gmail.com>
	* add pointdet template component
	* tagged as v2.49.0

2017-09-01 Jan Kotanski <jankotan@gmail.com>
	* add hasep23eh and hasep24eh1  to nxsetup
	* add support for v260, tip850adcm and vdot32in
	* tagged as v2.48.0

2017-08-31 Jan Kotanski <jankotan@gmail.com>
	* add haso228w to nxsetup
	* tagged as v2.47.2

2017-08-30 Jan Kotanski <jankotan@gmail.com>
	* add printout when created server already exists
	* tagged as v2.47.1

2017-08-30 Jan Kotanski <jankotan@gmail.com>
	* add support for datasource creating of sardana device attribute in onlineds
	* fix for tdevice with multiattribute
	* tagged as v2.47.0

2017-08-08 Jan Kotanski <jankotan@gmail.com>
        * fix for printout
        * tagged as v2.46.1

2017-08-08 Jan Kotanski <jankotan@gmail.com>
	* add verbose option into nxscreate onlineds
	* tagged as v2.46.0

2017-08-02 Jan Kotanski <jankotan@gmail.com>
	* fix for onlineds
	* add $var.entryname
	* split 'default' component into 'defaultsample' and 'defaultinstrument'
	* tagged as v2.45.0

2017-07-21 Jan Kotanski <jankotan@gmail.com>
	* skip help message on info
	* tagged as v2.44.2

2017-07-21 Jan Kotanski <jankotan@gmail.com>
	* change error message on not installed nexus to info
	* tagged as v2.44.1

2017-07-14 Jan Kotanski <jankotan@gmail.com>
	* add nxscreate poolds
	* tagged as v2.44.0

2017-07-13 Jan Kotanski <jankotan@gmail.com>
	* update documentation
	* tagged as v2.43.1

2017-07-13 Jan Kotanski <jankotan@gmail.com>
	* add h5py support
	* tagged as v2.43.0

2017-06-29 Jan Kotanski <jankotan@gmail.com>
	* update slit fields
	* tagged as v2.42.0

2017-06-27 Jan Kotanski <jankotan@gmail.com>
	* add __insname__ and -j option to change NXinstruement name
	* move slit variables out of NXcollection
	* tagged as v2.41.0

2017-06-19 Jan Kotanski <jankotan@gmail.com>
	* add dash line before scan name in nxsfileinfo
	* tagged as v2.40.1

2017-06-13 Jan Kotanski <jankotan@gmail.com>
	* extend undulator component
	* fix limaccds pixelsize
	* tagged as v2.40.0

2017-06-09 Jan Kotanski <jankotan@gmail.com>
	* fix printAction in nxscreator
	* tagged as v2.39.1

2017-06-09 Jan Kotanski <jankotan@gmail.com>
	* take attribute name from fourth term of device name in findAttribute
	* tagged as v2.39.0

2017-06-07 Jan Kotanski <jankotan@gmail.com>
	* add limaccd into onlinecp
	* tagged as v2.38.0

2017-05-30 Jan Kotanski <jankotan@gmail.com>
	* make clientlike option in onlineds be default
	* tagged as v2.37.0

2017-05-29 Jan Kotanski <jankotan@gmail.com>
	* add delete command into nxsconfig
	* tagged as v2.36.0

2017-05-23 Jan Kotanski <jankotan@gmail.com>
	* find default server
	* tagged as v2.35.0

2017-05-18 Jan Kotanski <jankotan@gmail.com>
	* fix for nxscreate compate  with duplicated devices
	* tagged as v2.34.1

2017-05-16 Jan Kotanski <jankotan@gmail.com>
	* add smaract into motor modules
	* tagged as v2.34.0

2017-05-15 Jan Kotanski <jankotan@gmail.com>
	* add sis3302 and sis3302multiscan modules
	* tagged as v2.33.0

2017-05-11 Jan Kotanski <jankotan@gmail.com>
	* fix -t option in nxsetup
	* tagged as v2.32.1

2017-05-11 Jan Kotanski <jankotan@gmail.com>
	* add split options into components
	* tagged as v2.32.0

2017-05-10 Jan Kotanski <jankotan@gmail.com>
	* add postpone option to change-prop move-prop and add-recorder-path
	* tagged as v2.31.0

2017-05-03 Jan Kotanski <jankotan@gmail.com>
	* add icr and ocr to mcaxia
	* tagged as v2.30.0

2017-04-19 Jan Kotanski <jankotan@gmail.com>
	* fix for mcaxia
	* tagged as v2.29.1

2017-04-05 Jan Kotanski <jankotan@gmail.com>
	* add slit closed position and offset calibration
	* tagged as v2.29.0

2017-04-03 Jan Kotanski <jankotan@gmail.com>
	* add nxsetup stop server
	* tagged as v2.28.0

2017-03-30 Jan Kotanski <jankotan@gmail.com>
	* wait for server starting
	* tagged as v2.27.3

2017-03-28 Jan Kotanski <jankotan@gmail.com>
	* fix for nxscreator sardananame
	* tagged as v2.27.2

2017-03-23 Jan Kotanski <jankotan@gmail.com>
	* fix for nxscollect
	* tagged as v2.27.1

2017-03-19 Jan Kotanski <jankotan@gmail.com>
	* change default entryname to scan
	* add $(__entryname__) variable
	* add -y --entryname option to nxscreate stdcomp/onlinecp
	* tagged as v2.27.0

2017-03-17 Jan Kotanski <jankotan@gmail.com>
	* add clientlike option into onlineds
	* tagged as v2.26.0

2017-03-16 Jan Kotanski <jankotan@gmail.com>
	* add raw image collection
	* tagged as v2.25.0

2017-03-10 Jan Kotanski <jankotan@gmail.com>
	* fix for maia
	* improve eigerdectris component for h5py
	* tagged as v2.24.1

2017-03-09 Jan Kotanski <jankotan@gmail.com>
	* add maia components
	* tagged as v2.24.0

2017-03-07 Jan Kotanski <jankotan@gmail.com>
	* update help for nxsetup and nxscollect
	* tagged as v2.23.1

2017-03-07 Jan Kotanski <jankotan@gmail.com>
	* add -b and -m into nxscreate stdcomp
	* add -b into nxscreate onlinecp
	* tagged as v2.23.0

2017-02-28 Jan Kotanski <jankotan@gmail.com>
	* update info for haso113u
	* tagged as v2.22.1

2017-01-26 Jan Kotanski <jankotan@gmail.com>
	* add defaults for hasep211eh and hasep24 into nxsetup
	* tagged as v2.22.0

2017-01-24 Jan Kotanski <jankotan@gmail.com>
	* fix dcm template component
	* tagged as v2.21.3

2017-01-18 Jan Kotanski <jankotan@gmail.com>
	* fix for mythen template component
	* tagged as v2.21.2

2017-01-18 Jan Kotanski <jankotan@gmail.com>
	* improve fetching beamtimeid from local directory in template components
	* tagged as v2.21.1

2017-01-17 Jan Kotanski <jankotan@gmail.com>
	* improve beamtime id template component
	* extend chcut template component
	* tagged as v2.21.0

2017-01-06 Jan Kotanski <jankotan@gmail.com>
	* add gpfs/local into beamline directories
	* tagged as v2.20.1

2017-01-05 Jan Kotanski <jankotan@gmail.com>
	* add gpfs/local into beamline directories
	* tagged as v2.20.0

2017-01-05 Jan Kotanski <jankotan@gmail.com>
	* add channelcut template component
	* extend dcm template component
	* tagged as v2.19.0

2016-12-21 Jan Kotanski <jankotan@gmail.com>
	* extend absorber template component
	* tagged as v2.18.0

2016-12-16 Jan Kotanski <jankotan@gmail.com>
	* fixes beamstop template components
	* tagged as v2.17.1

2016-12-13 Jan Kotanski <jankotan@gmail.com>
	* fixes yaw dcm units
	* add switching of the groups in nxscreate
	* tagged as v2.17.0

2016-12-09 Jan Kotanski <jankotan@gmail.com>
	* add datasource option into nxscreate comp
	* fixes undulator length
	* tagged as v2.16.0

2016-11-29 Jan Kotanski <jankotan@gmail.com>
	* add samplehkl, absorber
	* fixes for shpinx docu
	* tagged as v2.15.0

2016-11-24 Jan Kotanski <jankotan@gmail.com>
	* fixes for nxsconfig get/merge
	* tagged as v2.14.1

2016-11-24 Jan Kotanski <jankotan@gmail.com>
	* add nxscreate compare
	* tagged as v2.14.0

2016-11-22 Jan Kotanski <jankotan@gmail.com>
	* fix serching for module
	* add keithley component
	* tagged as v2.13.0

2016-11-18 Jan Kotanski <jankotan@gmail.com>
	* change NXmonitor into NXbpm for qbpm
	* add link into possible dropped nodes in template components
	* add common?_common.ds.xml template datasources
	* tagged as v2.12.0

2016-11-11 Jan Kotanski <jankotan@gmail.com>
	* add qbpm template component
	* tagged as v2.11.3

2016-11-10 Jan Kotanski <jankotan@gmail.com>
	* fix fetching arguments for nxscreate onlineds/cp
	* tagged as v2.11.2

2016-11-08 Jan Kotanski <jankotan@gmail.com>
	* add nxsfileinfo man page into MANIFEST
	* tagged as v2.11.1

2016-11-08 Jan Kotanski <jankotan@gmail.com>
	* refresh sub-commands
	* switch to argparse
	* add autocomplete
	* tagged as v2.11.0

2016-11-01 Jan Kotanski <jankotan@gmail.com>
	* fix beamtimeid component
	* tagged as v2.10.2

2016-11-01 Jan Kotanski <jankotan@gmail.com>
	* add beamtimeid component
	* fixes for getting TANGO_HOST from server name in nxsdevicetools
	* move undulator part from default component to undulator
	* tagged as v2.10.1

2016-10-31 Jan Kotanski <jankotan@gmail.com>
	* add nxsfileinfo command
	* tagged as v2.10.0

2016-10-25 Jan Kotanski <jankotan@gmail.com>
	* fix filed names in dcm
	* tagged as v2.9.2

2016-10-17 Jan Kotanski <jankotan@gmail.com>
	* add help printout for nxscreate stdcomp
	* tagged as v2.9.1

2016-10-12 Jan Kotanski <jankotan@gmail.com>
	* add change property value option into nxsetup
	* tagged as v2.9.0

2016-10-11 Jan Kotanski <jankotan@gmail.com>
	* fix for findDevice
	* add external config server options to nxscreate
	* add elementtype options into nxscreate tangods
	* update dcm standard components
	* tagged as v2.8.0

2016-10-06 Jan Kotanski <jankotan@gmail.com>
	* refresh dcm standard component
	* tagged as v2.7.1

2016-10-06 Jan Kotanski <jankotan@gmail.com>
	* add support for nxscreate tangods without indexes
	* tagged as v2.7.0

2016-10-06 Jan Kotanski <jankotan@gmail.com>
	* simplify the template component of eiger dectris
	* tagged as v2.6.2

2016-09-30 Jan Kotanski <jankotan@gmail.com>
	* fix dcm template components
	* add test version of eigerdectris detector to template components
	* tagged as v2.6.1

2016-09-19 Jan Kotanski <jankotan@gmail.com>
	* add replacing device, hostname in nxscreator onlinecp
	* add info into the test mode for onlineds
	* tagged as v2.6.0

2016-09-07 Jan Kotanski <jankotan@gmail.com>
	* change the following options of nxscreate:
	  --device-prefix:	-p -> -v
	  --datasource-prefix: 	-o -> -s
	  --host:		-s -> -u
	  --strategy:	        -s -> -g
	* add --overwrite (-o) to tangods, clientds, deviceds, comp
	* tagged as v2.5.0

2016-09-07 Jan Kotanski <jankotan@gmail.com>
	* add mcaxia component
	* tagged as v2.4.0

2016-08-10 Jan Kotanski <jankotan@gmail.com>
	* add dcm component
	* make args and options in creator public
	* tagged as v2.3.0

2016-07-20 Jan Kotanski <jankotan@gmail.com>
	* fix for missing xml templates
	* tagged as v2.2.1

2016-07-19 Jan Kotanski <jankotan@gmail.com>
	* nxscreate: add stdcomp action
	* tagged as v2.2.0

2016-06-06 Jan Kotanski <jankotan@gmail.com>
	* nxsetup: fix serching for local user
	* nxsetup: add setting up NXSConfigServer only with 'read_default_file'
	* tagged as v2.1.3

2016-05-30 Jan Kotanski <jankotan@gmail.com>
	* nxscollect: add collection of files with other then nxs extension
	* tagged as v2.1.2

2016-05-26 Jan Kotanski <jankotan@gmail.com>
	* nxsparser: fix for dim $datasources
	* tagged as v2.1.1

2016-05-12 Jan Kotanski <jankotan@gmail.com>
	* nxsetup: add default 'read_default_file' = '/var/lib/nxsconfigserver/.my.cnf'
	* nxsetup: add level options for --restart and --start command
	* nxsetup: add --start command
	* tagged as v2.1.0

2016-05-02 Jan Kotanski <jankotan@gmail.com>
	* nxscreate: fix docu
	* tagged as v2.0.2

2016-04-28 Jan Kotanski <jankotan@gmail.com>
	* nxsconfig: info if none of component/datasource exists
	* tagged as v2.0.1

2016-04-26 Jan Kotanski <jankotan@gmail.com>
	* switch to sphinx documentation
	* remove ndts* scripts
	* move internal functions into protected interface
	* add more help examples
	* tagged as v2.0.0

2016-04-15 Jan Kotanski <jankotan@gmail.com>
	* fix for fetching shape and dtype
	* tagged as v1.23.1

2016-04-15 Jan Kotanski <jankotan@gmail.com>
	* add marccd xml templates
	* add pco xml templates
	* add file loader for <filename>.h5://data
	* tagged as v1.23.0

2016-04-14 Jan Kotanski <jankotan@gmail.com>
	* add perkinelemerdetector into nxscreate
	* fix for missing attributes in nxlink
	* tagged as v1.22.0

2016-04-13 Jan Kotanski <jankotan@gmail.com>
	* change ':///' into '://' in external links
	* tagged as v1.21.2

2016-04-13 Jan Kotanski <jankotan@gmail.com>
	* fix lambda and lambda2m detector xml templates
	* tagged as v1.21.1

2016-04-12 Jan Kotanski <jankotan@gmail.com>
	* add lambda2m detector to xml templates
	* update lambda detector xml templates
	* tagged as v1.21.0

2016-04-08 Jan Kotanski <jankotan@gmail.com>
	* add lambda detector to xml templates
	* add sourcelink option to nxscreate comp
	* add add link geometry information into nxsconfig geometry
	* tagged as v1.20.0

2016-04-07 Jan Kotanski <jankotan@gmail.com>
	* skip not-working devices in findModules
	* tagged as v1.19.2

2016-04-07 Jan Kotanski <jankotan@gmail.com>
	* fix for moduleAttribute of tangoattributectctrl
	* tagged as v1.19.1

2016-03-24 Jan Kotanski <jankotan@gmail.com>
	* nxscreate: add createXMLs method to DS creator
	* tagged as v1.19.0

2016-03-22 Jan Kotanski <jankotan@gmail.com>
	* nxscreate: fix for adding hostname in datasources
	* tagged as v1.18.4

2016-03-22 Jan Kotanski <jankotan@gmail.com>
	* nxscreate: adds createXMLs method to CP creator
	* tagged as v1.18.3

2016-03-22 Jan Kotanski <jankotan@gmail.com>
	* nxscreate: improve support for lowercase names
	* tagged as v1.18.2

2016-03-22 Jan Kotanski <jankotan@gmail.com>
	* nxscreate: add overwrite component option to onlinecp command
	* tagged as v1.18.1

2016-03-22 Jan Kotanski <jankotan@gmail.com>
	* nxscreate: add onlinecp command
	* nxsetup: add new servers
	* tagged as v1.18.0

2016-03-09 Jan Kotanski <jankotan@gmail.com>
	* nxscollect: improve file finding
	* tagged as v1.17.2

2016-03-07 Jan Kotanski <jankotan@gmail.com>
	* nxscollect: update help
	* tagged as v1.17.1

2016-03-07 Jan Kotanski <jankotan@gmail.com>
	* nxscollect: add setting postrun field name and filed attributes
	* add test mode
	* tagged as v1.17.0

2016-03-02 Jan Kotanski <jankotan@gmail.com>
	* add nxscollect for merging (issue #1)
	* tagged as v1.16.0

2016-02-12 Jan Kotanski <jankotan@gmail.com>
	* add options to nxscreate comp, e.g. nexus_path
	* fix for fetching sardana host
	* tagged as v1.15.0

2016-02-10 Jan Kotanski <jankotan@gmail.com>
	* support multiattribute device in  onlineds
	* remove dsonline
	* move ndtscreate_* implementation into nxscreate
	* make lower_case datasource names in deviceds
	* tagged as v1.14.0

2016-02-09 Jan Kotanski <jankotan@gmail.com>
	* fix for list of modules
	* tagged as v1.13.1

2016-02-09 Jan Kotanski <jankotan@gmail.com>
	* add modules into moduleAttributes dictionary
	* tagged as v1.13.0

2016-02-08 Jan Kotanski <jankotan@gmail.com>
	* add moduleAttributes dictionary to nxsdevicetools
	* improve creating datasources from online.xml
	* tagged as v1.12.0

2016-02-04 Jan Kotanski <jankotan@gmail.com>
	* add help for private component parameter (-p)
	* tagged as v1.11.1

2016-02-04 Jan Kotanski <jankotan@gmail.com>
	* add private component parameter (-p)
	* print component name on creating datasources forn online file
	* tagged as v1.11.0

2016-02-02 Jan Kotanski <jankotan@gmail.com>
	* remove parent parameter for datasources of datasource
	* tagged as v1.10.3

2016-02-02 Jan Kotanski <jankotan@gmail.com>
	* add datasources of datasources
	* tagged as v1.10.2

2016-02-01 Jan Kotanski <jankotan@gmail.com>
	* change order of displayed info and geometry in nxsconfig
	* tagged as v1.10.1

2016-01-28 Jan Kotanski <jankotan@gmail.com>
	* add describe, info and geometry commands
	* tagged as v1.10.0

2016-01-07 Jan Kotanski <jankotan@gmail.com>
	* add change property name command
	* tagged as v1.9.0

2015-10-19 Jan Kotanski <jankotan@gmail.com>
	* fix for add RecorderPath
	* tagged as v1.8.1

2015-09-15 Jan Kotanski <jankotan@gmail.com>
	* changing ScanRecorderPath to RecorderPath
	* tagged as v1.8.0

2015-07-29 Jan Kotanski <jankotan@gmail.com>
	* fix for startdspath misprint
	* tagged as v1.7.1

2015-07-29 Jan Kotanski <jankotan@gmail.com>
	* adding scan recorder paths
	* adding hasnp66 to nxsetup
	* tagged as v1.7.0

2015-07-13 Jan Kotanski <jankotan@gmail.com>
	* switching counter_tango to pool ones
	* tagged as v1.6.9

2015-07-08 Jan Kotanski <jankotan@gmail.com>
	* fix for counter_tango
	* tagged as v1.6.8

2015-07-08 Jan Kotanski <jankotan@gmail.com>
	* adding tangoattributectctrl and counter_tango
	* tagged as v1.6.7

2015-07-01 Jan Kotanski <jankotan@gmail.com>
	* adding haspp09dif to nxsetup
	* tagged as v1.6.6

2015-06-24 Jan Kotanski <jankotan@gmail.com>
	* fix for misprint in NXSRecSelector name
	* tagged as v1.6.5

2015-06-24 Jan Kotanski <jankotan@gmail.com>
	* changing NXSRecSelector startup level to 4 or higher
	* tagged as v1.6.4

2015-06-22 Jan Kotanski <jankotan@gmail.com>
	* changing NXSRecSelector startup level to 4
	* tagged as v1.6.3

2015-04-28 Jan Kotanski <jankotan@gmail.com>
	* adding error message on missing hostname
	* tagged as v1.6.2

2015-02-26 Jan Kotanski <jankotan@gmail.com>
	* adding hostname to printout
	* adding p06 boxes
	* tagged as v1.6.1

2015-01-16 Jan Kotanski <jankotan@gmail.com>
	* adding nxscreate deviceds
	* adding warning message
	* tagged as v1.6.0

2015-01-12 Jan Kotanski <jankotan@gmail.com>
	* fix  for missing local_user
	* changing beamline name from p03 to p03nano
	* tagged as v1.5.6

2014-12-18 Jan Kotanski <jankotan@gmail.com>
	* adding haspp10lcx
	* adding error message on DB connection error
	* tagged as v1.5.5

2014-12-18 Jan Kotanski <jankotan@gmail.com>
	* adding haspp09haxps, haspp09mag
	* changing haspp02ch2 database name
	* tagged as v1.5.4

2014-12-16 Jan Kotanski <jankotan@gmail.com>
	* adding haso107d1 hostname
	* changing dbname parameter description
	* tagged as v1.5.3

2014-12-10 Jan Kotanski <jankotan@gmail.com>
	* uses sardananame as name if exits for nxscrreate onlineds
	* descreasing no counts for restarting servers
	* tagged as v1.5.2

2014-12-10 Jan Kotanski <jankotan@gmail.com>
	* make lower case aliases by default
	* adding p65
	* tagged as v1.5.1

2014-12-10 Jan Kotanski <jankotan@gmail.com>
	* adding nxscreate onlineds
	* tagged as v1.5.0

2014-12-01 Jan Kotanski <jankotan@gmail.com>
	* adding reset for separate servers
	* fix for restart servers with not-running admin
	* tagged as v1.4.2

2014-11-28 Jan Kotanski <jankotan@gmail.com>
	* fix for restart servers without admin
	* tagged as v1.4.1

2014-11-21 Jan Kotanski <jankotan@gmail.com>
	* adding restart option
	* changing nxsconfig2 to nxsconfg_2 for p02.2
	* tagged as v1.4.0

2014-10-27 Jan Kotanski <jankotan@gmail.com>
	* changing nxs_setup into nxsetup
	* stopping use of server_ctrl.py
	* tagged as v1.3.3

2014-10-23 Jan Kotanski <jankotan@gmail.com>
	* fix for nxs_setup
	* tagged as v1.3.2

2014-10-23 Jan Kotanski <jankotan@gmail.com>
	* adding nxs_setup
	* tagged as v1.3.1

2014-10-23 Jan Kotanski <jankotan@gmail.com>
	* changing commandline program names
	* tagged as v1.3.0

2014-10-15 Jan Kotanski <jankotan@gmail.com>
	* fixes for nxsconfig_show
	* tagged as v1.2.7

2014-09-29 Jan Kotanski <jankotan@gmail.com>
	* fixes for pep8
	* tagged as v1.2.6

2014-07-07 Jan Kotanski <jankotan@gmail.com>
	* fixing storing client datasources
	* tagged as v1.2.5

2014-07-04 Jan Kotanski <jankotan@gmail.com>
	* fixing argument for nxscreate_clientds
	* tagged as v1.2.4

2014-04-23 Jan Kotanski <jankotan@gmail.com>
	* adding datasource prefix parameter nxscreate_dsclient
	* changing back the package name to nexdatas.tools
	* tagged as v1.2.3

2014-01-16 Jan Kotanski <jankotan@gmail.com>
	* changing back the package name to nexdatas.tools
	* tagged as v1.2.2

2014-01-13 Jan Kotanski <jankotan@gmail.com>
	* adding README and man pages
	* changing the package name to nxstools
	* tagged as v1.2.1

2013-12-10 Jan Kotanski <jankotan@gmail.com>
	* changing NXSDataWriter attribute names
	* changing XMLConfigServer into NXSConfigServer
	* changing TangoDataServer into NXSDataWriter
	* creating one nxstools package
	* tagged as v1.2.0

2013-12-03 Jan Kotanski <jankotan@gmail.com>
	* change ndtscfg -> nxsconfig and ndtstdw -> nxsdata
	* adding many components into ndtscfg sources
	* adding variables and merge commands
	* adding components commands for dependent components
	* fixes for getText method in ndtscfg.py
	* tagged as v1.1.0

2013-05-15 Jan Kotanski <jankotan@gmail.com>
	* making server parameter optional
	* the first tag with nexdatas.tools
	* tagged as v1.0.0
